import QtQuick 2.12
import QtQuick.Window 2.12

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Qml Model View")

    ListView {
        id: listView
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        width: parent.width / 3
        model: MyModel {}
        delegate: textDelegate
    }

    Component {
        id: textDelegate
        Text {
            text : model.name
        }
    }

    GridView {
        anchors.left: listView.right
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        model: MyModel {}
        delegate: colorDelegate
    }

    Component {
        id: colorDelegate
        Rectangle {
            width: 64
            height:64
            color: model.name
        }
    }
}
